Retrieves the job work instruction list with the specified key.
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
job_work_instruction_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| jobs_id |
Foreign key of the jobs |
globally unique identifier |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs_reference_back_office |
Embedded entity "jobs" using ERP PK when adding/updating |
string |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs |
Embedded entity "jobs" when adding/updating |
jobs |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| work_instruction_details_id |
work instruction details id |
globally unique identifier | |
| work_instruction_details_reference_back_office |
Embedded code "work instruction details" when adding/updating |
string | |
| work_instruction_details |
Embedded entity "work instruction details" when adding/updating |
work_instruction_details | |
| user_id |
Filled by the person that completed that item on the checklist |
globally unique identifier | |
| work_instruction_action_type |
Value from work_instruction_action_type.name |
string | |
| work_instruction_id |
work instruction id |
globally unique identifier |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| work_instruction_reference_back_office |
Embedded code "work instruction" when adding/updating |
string |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| work_instruction |
Embedded entity "work instruction" when adding/updating |
work_instruction |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| name |
The "on what" |
string |
Required Max length: 4000 |
| status |
Status can be Ok,NotOk,Replaced,NotApplicable |
string |
Max length: 50 |
| date_done |
Datetime filled when status goes to one valable status. |
date | |
| remark |
Additional remark from the technician. |
string |
Max length: 255 |
| advise |
Additional advice from the technician. |
string |
Max length: 255 |
| sequence |
To order it. |
integer | |
| reference_back_office |
The Id/Ref of the back office for this job work instruction. Used by Embedded entity |
string |
Max length: 255 |
| group_name |
Name of the group |
string |
Max length: 4000 |
| group_sequence |
Order of the group |
integer | |
| type |
One of the possible types which are Regular, Form, Picture, UsedParts, BillableHours. Regular is the default |
string | |
| instruction_document_count |
Specify how many documents/photos must be added if type is Picture |
integer | |
| db_report_type_id |
When type is Form, you must specify which db_report_type must be filled |
globally unique identifier | |
| db_report_type_name |
When type is Form, you must specify which db_report_type must be filled |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "f234512a-d96c-4ceb-9853-1814f0e14aa4",
"jobs_id": "2e5716c0-4193-4c25-be4e-232ab926ab5c",
"jobs_reference_back_office": "sample string 3",
"jobs": {
"id": "1b21664e-b61f-4522-be37-665b5918bbdf",
"_parent_id": "4cbfa0a5-0e7e-4ab4-adb4-fc088d84ed75",
"_parent_jobs_reference_back_office": "sample string 3",
"project_id": "67a0c6f8-2578-4594-867d-30eefd9db660",
"project_reference_back_office": "sample string 5",
"project": {
"id": "faacd68f-5f7f-4268-91d9-58d314ea4693",
"_parent_id": "a77f20f7-0a0a-415e-bec7-902f1744ddd5",
"root_parent_id": "cb4206c5-8891-41eb-9f2b-e930b8e8d8dc",
"_parent_reference_back_office": "sample string 4",
"equipment_family_id": "ce68b36c-ffb2-4985-806a-06c4f3abb675",
"equipment_family_code": "sample string 6",
"equipment_family": {
"id": "268bb524-e973-47e4-aee2-084e534d0780",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "b49aa56f-39d9-455a-b01c-e7bc08175e83",
"_parent_code": "sample string 6",
"sales_organization_id": "fd9f5f9e-ce83-40c5-81b9-ffd974f3ab81",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "06f6115a-6d29-4dd7-be1d-50656042a519",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "1397b2ef-62c4-493f-b5ac-8a2da68255b0",
"db_currency_id": "7c933164-2415-405c-9ac8-0de04fb6d61f",
"db_language_id": "12ff2d9f-a449-4a96-a781-ef13db34d3c0",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-24T11:18:33.8526275+00:00"
},
"modified_dateutc": "2026-10-24T11:18:33.8526275+00:00"
},
"equipment_model_id": "379b233a-8a55-4b91-9519-8857d7f4edef",
"equipment_model_code": "sample string 8",
"equipment_model": {
"id": "c15ba328-e649-4984-85ea-f538ca2b9794",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"equipment_brand_id": "89af382b-4910-45d5-81a2-8dd299caa9fd",
"equipment_brand_code": "sample string 6",
"equipment_brand": {
"id": "424b321f-2329-4918-939e-5bca4a0e4827",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "504b4fa2-3d44-41da-999e-3d8f52f3b063",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "06f6115a-6d29-4dd7-be1d-50656042a519",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "1397b2ef-62c4-493f-b5ac-8a2da68255b0",
"db_currency_id": "7c933164-2415-405c-9ac8-0de04fb6d61f",
"db_language_id": "12ff2d9f-a449-4a96-a781-ef13db34d3c0",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-24T11:18:33.8526275+00:00"
},
"modified_dateutc": "2026-10-24T11:18:33.8625414+00:00"
},
"equipment_family_id": "a3159b5c-065a-42e5-8ae4-832db791bd4c",
"equipment_family_code": "sample string 8",
"equipment_family": {
"id": "268bb524-e973-47e4-aee2-084e534d0780",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "b49aa56f-39d9-455a-b01c-e7bc08175e83",
"_parent_code": "sample string 6",
"sales_organization_id": "fd9f5f9e-ce83-40c5-81b9-ffd974f3ab81",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "06f6115a-6d29-4dd7-be1d-50656042a519",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "1397b2ef-62c4-493f-b5ac-8a2da68255b0",
"db_currency_id": "7c933164-2415-405c-9ac8-0de04fb6d61f",
"db_language_id": "12ff2d9f-a449-4a96-a781-ef13db34d3c0",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-24T11:18:33.8526275+00:00"
},
"modified_dateutc": "2026-10-24T11:18:33.8526275+00:00"
},
"date_in_production_since": "2026-10-24T11:18:33.8625414+00:00",
"date_out_of_production_since": "2026-10-24T11:18:33.8625414+00:00",
"date_end_support": "2026-10-24T11:18:33.8625414+00:00",
"sales_organization_id": "8c610bc9-e1a1-4a1c-905d-3a74dc005a88",
"sales_organization_code": "sample string 13",
"sales_organization": {
"id": "06f6115a-6d29-4dd7-be1d-50656042a519",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "1397b2ef-62c4-493f-b5ac-8a2da68255b0",
"db_currency_id": "7c933164-2415-405c-9ac8-0de04fb6d61f",
"db_language_id": "12ff2d9f-a449-4a96-a781-ef13db34d3c0",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-24T11:18:33.8526275+00:00"
},
"replacement_period_nb_months": 14,
"warranty_period_nb_months": 15,
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-10-24T11:18:33.8825629+00:00"
},
"project_status_id": "9ad849b9-ffdd-4c0a-8429-32b2f8993a61",
"project_status_code": "sample string 10",
"project_status": {
"id": "fbbe9323-33a4-40a4-89b1-51fa3de87bfc",
"name": "sample string 2",
"is_default": true,
"is_closed": true,
"sales_organization_id": "9feb7162-dbb4-42fe-9518-4088aa8cd08f",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "06f6115a-6d29-4dd7-be1d-50656042a519",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "1397b2ef-62c4-493f-b5ac-8a2da68255b0",
"db_currency_id": "7c933164-2415-405c-9ac8-0de04fb6d61f",
"db_language_id": "12ff2d9f-a449-4a96-a781-ef13db34d3c0",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-24T11:18:33.8526275+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-10-24T11:18:33.8825629+00:00"
},
"company_id": "85027058-65cb-40a9-b9ca-100bddccffe8",
"company_code": "sample string 12",
"db_address_id": "8c41939d-03d7-4739-84ff-35e171cfce34",
"db_address_code": "sample string 14",
"location": "sample string 15",
"contact_id": "d5b87da4-27c3-4bcf-aedf-af71b81aaafd",
"contact_reference_back_office": "sample string 17",
"owner_user_id": "11e65083-c69e-415a-8a1f-d3a24ed08ebf",
"name": "sample string 19",
"description": "sample string 20",
"reference_back_office": "sample string 21",
"serial_number": "sample string 22",
"barcode": "sample string 23",
"date_start_production": "2026-10-24T11:18:33.8825629+00:00",
"date_create": "2026-10-24T11:18:33.8825629+00:00",
"date_update": "2026-10-24T11:18:33.8825629+00:00",
"updated_by_user_id": "b7480e11-51d8-4ee3-b4d2-5d874d38bd36",
"customer_reference": "sample string 28",
"warranty_date_until": "2026-10-24T11:18:33.8825629+00:00",
"last_standard_result_score_1": "sample string 30",
"last_standard_result_score_2": "sample string 31",
"target_standard_result_score_1": "sample string 32",
"target_standard_result_score_2": "sample string 33",
"date_built": "2026-10-24T00:00:00+00:00",
"shutdown_consequence": "sample string 35",
"id2": 36,
"nb_open_jobs": 37,
"date_next_job": "2026-10-24T11:18:33.8825629+00:00",
"date_last_job": "2026-10-24T11:18:33.8825629+00:00",
"nb_jobs_planned": 40,
"nb_jobs_tobeplanned": 41,
"nb_jobs_waitingfurtheraction": 42,
"back_office_timestamp": "2026-10-24T11:18:33.8825629+00:00",
"modified_dateutc": "2026-10-24T11:18:33.8825629+00:00",
"is_mobile_installation": true
},
"job_type_id": "76e71784-b1b0-41d4-adbd-6c10165dfaac",
"job_type_code": "sample string 7",
"job_type": {
"id": "b87b7a5b-c9ca-4cb0-a46a-6033eae60de9",
"name": "sample string 2",
"sales_organization_id": "37b1ee3f-584d-4270-81dd-7d96435996ec",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-10-24T11:18:33.8825629+00:00",
"code": "sample string 7"
},
"job_priority_id": "f08de137-92f5-4af9-aef7-85650a94288e",
"job_priority_code": "sample string 9",
"job_priority": {
"id": "48cfdecc-951c-405d-925a-8e346c5c0936",
"name": "sample string 2",
"is_default": true,
"sequence": 4,
"sales_organization_id": "b7457288-bd61-4111-b4d8-1443bed48b1a",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "06f6115a-6d29-4dd7-be1d-50656042a519",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "1397b2ef-62c4-493f-b5ac-8a2da68255b0",
"db_currency_id": "7c933164-2415-405c-9ac8-0de04fb6d61f",
"db_language_id": "12ff2d9f-a449-4a96-a781-ef13db34d3c0",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-24T11:18:33.8526275+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-10-24T11:18:33.8825629+00:00"
},
"job_status_id": "f800a851-f165-40da-b088-daf6de7eaef9",
"job_status_code": "sample string 11",
"db_address_id": "8dc4bbce-5f5b-47ea-85f1-36a2472412f7",
"contact_id": "a1ab686a-f0c5-4ad2-8bb1-d556bdaa2346",
"requested_by_company_id": "64c7881a-eaa5-46b9-8453-1d8e684727f5",
"requested_by_contact_id": "7a273cda-431b-41b6-9326-cde89212ef5d",
"reference_back_office": "sample string 16",
"name": "sample string 17",
"description": "sample string 18",
"working_sequence": 19,
"internal_memo": "sample string 20",
"prejob_information": "sample string 21",
"estimated_time": 22,
"earliest_date_plannable": "2026-10-24T11:18:33.8825629+00:00",
"due_date": "2026-10-24T11:18:33.8825629+00:00",
"date_create": "2026-10-24T11:18:33.8825629+00:00",
"date_update": "2026-10-24T11:18:33.8825629+00:00",
"date_closed": "2026-10-24T11:18:33.8825629+00:00",
"suggested_user_id": "197143fb-67c3-48b8-a794-3192f935b60e",
"suggested_user_code": "sample string 29",
"suggested_user": {
"id": "7d313a09-5e89-412d-a99e-7ba51f30edd8",
"db_language_id": "6a9ad143-7831-4c09-b41a-d7ef21b0b5db",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-10-24T11:18:33.8936931+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "05f9823a-a4b4-4a6a-8722-a3fe0bf31ac0",
"sales_organization": {
"id": "06f6115a-6d29-4dd7-be1d-50656042a519",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "1397b2ef-62c4-493f-b5ac-8a2da68255b0",
"db_currency_id": "7c933164-2415-405c-9ac8-0de04fb6d61f",
"db_language_id": "12ff2d9f-a449-4a96-a781-ef13db34d3c0",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-24T11:18:33.8526275+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "403b7123-374c-400b-a45d-7ea729c78721",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "79a443de-1f21-4372-87d4-cad5d741dbf2",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-10-24T11:18:33.8936931+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "30f593fb-d0f6-4e4a-87b9-ca469583ea89"
},
"suggested_date_start": "2026-10-24T11:18:33.8936931+00:00",
"skill_id": "abb66eaf-4062-4f5c-ae39-faa6edc539c9",
"skill_code": "sample string 32",
"skill": {
"id": "fd11d000-2cc7-474d-8531-a86936476690",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "3a8f3190-4423-44b7-8739-d4163a569aec",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "06f6115a-6d29-4dd7-be1d-50656042a519",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "1397b2ef-62c4-493f-b5ac-8a2da68255b0",
"db_currency_id": "7c933164-2415-405c-9ac8-0de04fb6d61f",
"db_language_id": "12ff2d9f-a449-4a96-a781-ef13db34d3c0",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-24T11:18:33.8526275+00:00"
},
"modified_dateutc": "2026-10-24T11:18:33.8936931+00:00"
},
"customer_reference": "sample string 33",
"approval_responsible_user_id": "3fee8e18-76c6-4be2-8681-aacd50f9dace",
"date_reported_by_company": "2026-10-24T11:18:33.8936931+00:00",
"id2": 36,
"company_id": "22168a68-ee9a-42d8-87ac-2a1f40ec84b6",
"company_code": "sample string 38",
"db_address_name": "sample string 39",
"db_address_street": "sample string 40",
"db_address_street2": "sample string 41",
"db_address_street_number": "sample string 42",
"db_address_city": "sample string 43",
"db_address_zip": "sample string 44",
"db_address_db_country_id": "ae3115ba-f931-4417-80cb-32f495a05955",
"db_address_db_country_code": "sample string 46",
"db_address_phone": "sample string 47",
"db_address_email": "sample string 48",
"db_address_latitude_decimal": 49.0,
"db_address_longitude_decimal": 50.0,
"estimated_quantity_remark": "sample string 51",
"modified_dateutc": "2026-10-24T11:18:33.8936931+00:00"
},
"work_instruction_details_id": "baf24e30-2b93-428c-8b40-3e04f2241797",
"work_instruction_details_reference_back_office": "sample string 5",
"user_id": "9ba13a3f-131d-4a69-bdb1-ef25cc2f97be",
"work_instruction_action_type": "sample string 7",
"work_instruction_id": "0300a60d-052c-436a-b70d-61506133d7e6",
"work_instruction_reference_back_office": "sample string 9",
"name": "sample string 10",
"status": "sample string 11",
"date_done": "2026-10-24T11:18:33.8936931+00:00",
"remark": "sample string 13",
"advise": "sample string 14",
"sequence": 1,
"reference_back_office": "sample string 15",
"group_name": "sample string 16",
"group_sequence": 1,
"type": "sample string 17",
"instruction_document_count": 1,
"db_report_type_id": "612648a3-6d5f-47e3-80d2-a622390d2740",
"db_report_type_name": "sample string 18",
"modified_dateutc": "2026-10-24T11:18:33.8936931+00:00"
}